# Poco

# template < class TTraverseStrategy = ChildrenFirstTraverse >

# class RecursiveDirectoryIteratorImpl

Library: Foundation
Package: Filesystem
Header: Poco/RecursiveDirectoryIteratorImpl.h

## Member Summary

Member Functions: depth, duplicate, get, maxDepth, next, release

## Enumerations

### Anonymous

D_INFINITE = 0

Special value for infinite traverse depth.

## Constructors

### RecursiveDirectoryIteratorImpl

RecursiveDirectoryIteratorImpl(
const std::string & path,
UInt16 maxDepth = D_INFINITE
);

## Destructor

### ~RecursiveDirectoryIteratorImpl

~RecursiveDirectoryIteratorImpl();

## Member Functions

### depth

inline UInt16 depth() const;

### duplicate

inline void duplicate();

### get

inline const std::string & get() const;

### maxDepth

inline UInt16 maxDepth() const;

### next

const std::string & next();

### release

inline void release();